Banyan Vines

Use this dialog box to view or specify Banyan VINES configurations.

Options

Item name

Specify the name used to rename the service.

Default group

Specify the default group to which the service belongs.

Default organization

Specify the default organization to which the group belongs.

See Also

How to edit a server network library configuration (Network Utility)

How to load an installed server network library (Network Utility)


SQL Server Network Utility (General Tab)

Use this tab to view or specify server properties, including protocols, encryption, and proxies.

Options

Instance(s) on this server

Select the instance of Microsoft® SQL Server™ you wish to view or for which you want to change the protocols.

Disabled protocols

View all disabled protocols for the selected instance of SQL Server.

Enabled protocols

View all enabled protocols for the selected instance of SQL Server. The Banyan VINES Net-Library has not been enhanced and runs at a SQL Server 7.0 level of functionality. This Net-Library is available for backward compatibility only, and it is not supported on named instances.

Enable

Enable the selected protocol for the specified instance of SQL Server.

Disable

Disable the selected protocol for the specified instance of SQL Server.

Properties

View the properties for the selected protocol.

Force protocol encryption

Enable protocol encryption. Encryption is a method for keeping sensitive information confidential by changing data into an unreadable form. Encryption ensures that data remains secure by keeping the information hidden from all users, even if they view the encrypted data directly.

If you want to use encryption with a failover cluster, you must install the server certificate with the fully qualified DNS name of the virtual server on all nodes in the failover cluster. For example, if you have a two-node cluster, with nodes named test1.redmond.corp.microsoft.com and test2.redmond.corp.microsoft.com and a virtual SQL Server "Virtsql", you need to get a certificate for "virtsql.redmond.corp.microsoft.com" and install the certificate on both nodes. You can then check the Force protocol encryption check box on the Server Network Utility to configure your failover cluster for encryption.

Enable WinSock proxy

Set SQL Server to listen on a proxy server using Microsoft Proxy Server over TCP/IP Sockets.

WinSock proxy address

Specify a WinSock proxy server address.

WinSock proxy port

Specify a WinSock proxy server port number.

See Also

How to deactivate a server network library configuration (Network Utility)

How to edit a server network library configuration (Network Utility)


NWLink IPX/SPX

Use this dialog box to view or specify NWLink IPX/SPX configurations.

Options

Default service name

Specify the default Microsoft® Windows NT® 4.0 or Windows® 2000 computer name under which an instance of Microsoft SQL Server™ runs. This information is stored in the bindery of the server.

Default port

Specify the default NWLink IPX/SPX port that the server should listen on when accepting connections from NWLink IPX/SPX clients. The default is 33854.

Hide server

Select to hide the instance of SQL Server. When you hide the instance of SQL Server, the responses to broadcasts from clients attempting to enumerate those instances of SQL Server present on the network are disabled.

See Also


Multiprotocol

Use this dialog box to view or specify how the server handles multiple network connections.

Options

Minimum connections expected

Specify the minimum number of expected server connections. The default value is 1.

Maximum connections expected

Specify the maximum number of expected server connections. After this number is exceeded, additional connections are refused. The default value is 1024.

RPC protocols

Specify the values for each supported multiprotocol.

Enable encryption

Enable protocol encryption. Encryption is a method for keeping sensitive information confidential by changing data into an unreadable form. Encryption ensures that data remains secure by keeping the information hidden from all users, even if they view the encrypted data directly.

If you want to use encryption with a failover cluster, you must install the server certificate with the fully qualified DNS name of the virtual server on all nodes in the failover cluster. For example, if you have a two-node cluster, with nodes named test1.redmond.corp.microsoft.com and test2.redmond.corp.microsoft.com and a virtual SQL Server "Virtsql", you need to get a certificate for "virtsql.redmond.corp.microsoft.com" and install the certificate on both nodes. You can then check the Force protocol encryption check box on the Server Network Utility to configure your failover cluster for encryption.

See Also


Named Pipes

Use this dialog box to view or specify named pipe defaults.

Options

Default pipe

Specify the default pipe on which Microsoft® SQL Server™ listens. By default, SQL Server listens on the pipe, \\.\pipe\sql\query.

See Also


VIA

Use this dialog box to view or specify Virtual Interface Architecture (VIA) configurations. VIA is not available for systems running Microsoft® Windows® 98.

Options

Vendor

Select the hardware vendor to be used with VIA, such as Giganet. This value must be the recognized vendor for the registry.

Listen Info

Enter the value for the listen information. The default is 0:1433.

See Also

VIA Clients

SQL Server Network Utility


TCP/IP

Use this dialog box to view or specify TCP/IP configurations.

Options

Default port

Specify the default TCP/IP port that the server should listen on when accepting connections from TCP/IP Sockets clients. The default is 1433.

Hide server

Select to hide the instance of Microsoft® SQL Server™. When you hide an instance of SQL Server, responses to broadcasts from clients attempting to enumerate those instances of SQL Server present on the network are disabled.

See Also

Revealing SQL Server on a Network


SQL Server Network Utility (Network Libraries Tab)

Use this tab to view or specify network library properties.

Options

Server name

View the server name for which you are viewing network library properties.

Server network library

View the Microsoft® SQL Server™ client network libraries installed on this computer.

Library file name

View the location of the SQL Server client network libraries installed on this computer.

Path

View the path of the server network library installed on this computer.

Version

View the version numbers of the SQL Server client network libraries installed on this computer.

File date

View the dates that the SQL Server client network libraries were installed on this computer.

Size

View the file sizes of the SQL Server client network libraries installed on this computer.

See Also

How to view the installed SQL Server server network libraries (Network Utility)


AppleTalk

Use this dialog box to view or specify AppleTalk configurations.

Options

Default object name

Specify the default service object assigned by the system administrator. The standard default is the name of the instance of Microsoft® SQL Server™.

See Also